Update Blueprint Transitions

Purpose

To update one or more Transitions for an existing Blueprint in your Zoho CRM organization.

Endpoints

  • PUT /settings/blueprints/transitions
  • PUT /settings/blueprints/transitions/{blueprint_transition_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/blueprints/transitions

{api-domain}/crm/{version}/settings/blueprints/transitions/{blueprint_transition_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.transitions.UPDATE

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/blueprints/transitions/5843104000004358026"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-d @updateblueprinttransition.json
-X POST

Input JSON

The transitions JSON array is the root element within which all Blueprint Transitions for updating must be specified. It must include the following keys:

  • idbigint, mandatory

    Represents the ID of the transition to be updated.

  • namestring, optional

    Represents the name of the transition to be updated. Transition names inside a specific blueprint must be unique.

  • descriptionstring, optional

    Represents the description of the transition.

  • trigger_typestring, optional

    Represents the trigger type of the transition.
    Possible values: automatic, manual

  • transition_typestring, optional

    Represents the type of the transition.
    Possible values: standalone_transition, parallel_transition, child_transition

  • color_codestring, optional

    Represents the color code of the transition button. Example: #F27E22.

  • modulejsonobject, optional

    Represents the module associated with the transition.

    • api_namestring, optional

      Represents the API name of the module for which the transition is created in a blueprint.

    • idbigint, optional

      Represents the ID of the module for which the transition is created.

  • during_inputsjsonarray, optional

    Represents the different types of during fields configured for the transition.

    • typestring, optional

      Represents the type of the during field configured for the transition.

    • optionalstring, optional

      Represents whether the during field is mandatory or optional.

    • sequenceinteger, optional

      Represents the order of the during fields.

    • fieldjsonobject, optional

      Represents the field data associated in the during field.

      • api_namestring, optional

        Represents the API name of the field associated in the during field.

      • idbigint, optional

        Represents the field ID associated in the during field.

    • messagestring, optional

      Represents the info message shown in the during input.

Sample Input

Copied{
  "transitions": [
    {
      "name": "Collect Requirements",
      "id": "5843104000004358026",
      "description": "",
      "trigger_type": "manual",
      "transition_type": "standalone_transition",
      "color_code": "#2385ef",
      "module": {
        "api_name": "Deals",
        "id": "5843104000000002181"
      },
      "during_inputs": [
        {
          "type": "widget",
          "optional": true,
          "sequence": 1,
          "widget": {
            "name": "Insurance_Sales_Process",
            "id": "5843104000004358896"
          }
        }
      ],
      "actions": null,
      "owners": [
        {
          "type": "record_owner",
          "resources": []
        }
      ],
      "criteria": null
    }
  ]
}

Possible Errors

  • REQUIRED_PARAM_MISSINGHTTP 400

    One of the expected parameters is missing.
    Resolution: Specify the ids parameter with valid transition IDs.

  • INVALID_DATAHTTP 400

    The transition ID given seems to be invalid.
    Resolution: Specify valid transition IDs.

  • INVALID_REQUEST_METHODHTTP 400

    The HTTP request method type is not valid.
    Resolution: Specify a valid HTTP method for the API endpoint.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized.
    Resolution: The client does not have a valid scope to read transitions. Create a token with the required scope.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed.
    Resolution: Pass a valid OAuth access token in the request header.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one.
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the request URL section above.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error.
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "transitions": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "5843104000004358026"
            },
            "message": "Transition updated successfully",
            "status": "success"
        }
    ]
}